.prv_rules:
  rules:
    - changes:
        - app_monitor/CHANGELOG.md
      when: never
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_PROTECTED == "false"
      when: never
    # If we are processing this rule, we know that the target branch of a merge request is protected. So, we can safely say, with this rule this job
    # will ONLY run on merge request pipelines from a non-protected branch into a protected branch
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && $CI_MERGE_REQUEST_SOURCE_BRANCH_PROTECTED == "false"
      changes:
        - app_monitor/**/*
        - tf/**/*

IAC SAST Prv:
  extends: kics-iac-sast
  rules:
    - !reference [.prv_rules, rules]

Build App Monitor Prv:
  stage: app-monitor-build
  extends: .build_np
  environment:
    name: prv
    action: prepare
  variables:
    APP_NAME: app_monitor
  rules:
    - !reference [.prv_rules, rules]

fmt Prv:
  extends: .terraform:fmt
  rules:
    - !reference [.prv_rules, rules]

validate Prv:
  extends: .terraform:validate
  rules:
    - !reference [.prv_rules, rules]
  needs:
    - job: Build App Monitor Prv
      artifacts: true

build Prv:
  extends: .terraform:build
  rules:
    - !reference [.prv_rules, rules]
  needs:
    - job: Build App Monitor Prv
      artifacts: true
    - job: fmt Prv
    - job: validate Prv
